package conf

type Config struct {
	ServerName        string
	Env               string
	LogLevel          string
	LogColorful       bool
	LogResponseLength int
	LogShowSql        bool

	Redis RedisConf

	Elasticsearch EsConf

	Mysql MysqlConf
}

func BaseConfig(conf Config) {
	ServerName = conf.ServerName
	Env = conf.Env

	LogLevel = conf.LogLevel
	LogColorful = conf.LogColorful
	LogResponseLength = conf.LogResponseLength
	LogShowSql = conf.LogShowSql

	Es = conf.Elasticsearch

	Redis = conf.Redis

	MySql = conf.Mysql
}

//Base conf
var ServerName = ""
var Env = ""

//log conf
var LogLevel = "DEBUG"
var LogColorful = true //日志是否开启彩色打印
var LogResponseLength = 10
var LogShowSql = true

//Redis conf
type RedisConf struct {
	RedisAddr string
	RedisPwd  string
	RedisDb   int
}

var Redis = RedisConf{}

//ES conf
type EsConf struct {
	ServerHost string
	ServerPort int
}

var Es = EsConf{}

//Mysql conf
type MysqlConf struct {
	Host     string
	Port     int
	User     string
	Password string
}

var MySql = MysqlConf{}
