package router

import (
	"git.168cad.top/zhengqiuyun/rym-util/conf"
	"git.168cad.top/zhengqiuyun/rym-util/router/validator"
	"github.com/gin-gonic/gin"
	_ "github.com/swaggo/files"
	swaggerFiles "github.com/swaggo/files"
	"github.com/swaggo/gin-swagger"
	"net/http"
)

func InitGinEngine() *gin.Engine {
	gin.SetMode(gin.ReleaseMode)
	c := gin.New()
	//便于工具监测
	c.GET("/favicon.ico", func(c *gin.Context) {
		c.JSON(http.StatusOK, nil)
	})
	//自定义验证器
	validator.RegisterValidate()
	if conf.Env == "dev" || conf.Env == "test" {
		//swagger
		c.GET("/swagger/*any", ginSwagger.WrapHandler(swaggerFiles.Handler))

	}
	return c
}
